<template>
  <el-select
    v-model="model"
    value-key="id"
    @change="onChange"
    class="m-2"
    placeholder="Proyecto"
    style="width: 240px"
  >
    <el-option
      v-for="item in list"
      :key="item.value"
      :label="item.name"
      :value="item"
    />
  </el-select>
</template>
<script setup>

const model = defineModel({
  type: Object,
})

const props = defineProps({
  list: {
    type: Array,
    default() {
      return []
    }
  },
});


</script>